Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1047529 - [abrt] evolution: g_malloc(): evolution killed by SIGABRT
Summary: [abrt] evolution: g_malloc(): evolution killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Crha
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:71196bc2709cedadf35cad5e2d9...
: 1050992 1052079 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-31 14:55 UTC by Terry Polzin
Modified: 2015-06-29 13:59 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:59:34 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (53.71 KB, text/plain)
2013-12-31 14:55 UTC, Terry Polzin
no flags Details
File: cgroup (172 bytes, text/plain)
2013-12-31 14:55 UTC, Terry Polzin
no flags Details
File: core_backtrace (32.08 KB, text/plain)
2013-12-31 14:55 UTC, Terry Polzin
no flags Details
File: dso_list (19.48 KB, text/plain)
2013-12-31 14:55 UTC, Terry Polzin
no flags Details
File: environ (1.45 KB, text/plain)
2013-12-31 14:55 UTC, Terry Polzin
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-31 14:55 UTC, Terry Polzin
no flags Details
File: maps (135.35 KB, text/plain)
2013-12-31 14:55 UTC, Terry Polzin
no flags Details
File: open_fds (2.40 KB, text/plain)
2013-12-31 14:55 UTC, Terry Polzin
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2013-12-31 14:55 UTC, Terry Polzin
no flags Details
File: var_log_messages (17.96 KB, text/plain)
2013-12-31 14:55 UTC, Terry Polzin
no flags Details

Description Terry Polzin 2013-12-31 14:55:28 UTC
Version-Release number of selected component:
evolution-3.10.3-1.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        evolution
crash_function: g_malloc
executable:     /usr/bin/evolution
kernel:         3.11.10-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 g_malloc at gmem.c:104
 #7 g_strndup at gstrfuncs.c:428
 #8 camel_text_to_html at camel-mime-filter-tohtml.c:623
 #9 e_mail_formatter_format_address at e-mail-formatter-utils.c:140
 #10 format_short_headers at e-mail-formatter-headers.c:100
 #11 emfe_headers_format at e-mail-formatter-headers.c:548
 #12 e_mail_formatter_format_as at e-mail-formatter.c:999
 #13 mail_formatter_run at e-mail-formatter.c:418
 #14 e_mail_formatter_format_sync at e-mail-formatter.c:836
 #15 handle_mail_request at e-mail-request.c:183

Potential duplicate: bug 864020

Comment 1 Terry Polzin 2013-12-31 14:55:34 UTC
Created attachment 843790 [details]
File: backtrace

Comment 2 Terry Polzin 2013-12-31 14:55:36 UTC
Created attachment 843791 [details]
File: cgroup

Comment 3 Terry Polzin 2013-12-31 14:55:38 UTC
Created attachment 843792 [details]
File: core_backtrace

Comment 4 Terry Polzin 2013-12-31 14:55:40 UTC
Created attachment 843793 [details]
File: dso_list

Comment 5 Terry Polzin 2013-12-31 14:55:42 UTC
Created attachment 843794 [details]
File: environ

Comment 6 Terry Polzin 2013-12-31 14:55:44 UTC
Created attachment 843795 [details]
File: limits

Comment 7 Terry Polzin 2013-12-31 14:55:46 UTC
Created attachment 843796 [details]
File: maps

Comment 8 Terry Polzin 2013-12-31 14:55:48 UTC
Created attachment 843797 [details]
File: open_fds

Comment 9 Terry Polzin 2013-12-31 14:55:50 UTC
Created attachment 843798 [details]
File: proc_pid_status

Comment 10 Terry Polzin 2013-12-31 14:55:52 UTC
Created attachment 843799 [details]
File: var_log_messages

Comment 11 Milan Crha 2014-01-09 15:45:31 UTC
Thanks fir a bug report. I see your instance got out of memory, thus it aborted. Could you provide your configuration of evolution, please? Basically, what mail account types you are using (IMAP,POP,EWS,...), whether you use any calendars (and which, if yes), same as with contacts, memos and tasks. Thanks in advance.

(Just a note, maybe this is related to bug #995177.)

Comment 12 Terry Polzin 2014-01-09 16:18:50 UTC
Use of evo is pretty basic, pop accounts, some calendar use, (built in) and contacts nothing outragious.

Comment 13 Milan Crha 2014-01-14 15:54:38 UTC
OK, right, I asked just to have a little focus where to look, instead of having whole evolution in front of the "reviewer". I mean, only one/some of the parts you are using in evolution is leaking, probably, thus the developers can search in those parts at the beginning.

Comment 14 Milan Crha 2014-01-15 14:54:08 UTC
*** Bug 1050992 has been marked as a duplicate of this bug. ***

Comment 15 Milan Crha 2014-01-15 16:00:56 UTC
*** Bug 1052079 has been marked as a duplicate of this bug. ***

Comment 16 Benjamin 2014-01-15 17:47:48 UTC
I will use this bug report for further comments so that you don't need to look at several places.
I have 2 IMAP accounts configured, 1 google apps (hosted domain) and 1 standard gmail. Both accounts have been set up using Gnome3's built-in online-accounts feature, I didn't really do any specific settings in evolution (except specifying my gpg keys for outgoing mail).
I'm also using the calendar and contacts (everything set up with the online-accounts from Gnome).

cheers

Comment 17 Fedora Admin XMLRPC Client 2014-09-04 14:30:10 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 18 Fedora End Of Life 2015-05-29 10:15:39 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 19 Fedora End Of Life 2015-06-29 13:59:34 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.